﻿//Copyright Notice:  ©2009 Microsoft Corporation.  All rights reserved.
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace Microsoft.InformationSecurity.CISF.Security.AuthZServices
{
    /// <summary>
    /// Contains a collection of Related Security Group value(s) for a directory entry.
    /// </summary>
    public class RelatedSGProperty : Property
    {
        #region Constructor
        /// <summary>
        /// Contains a collection of Related Security Group value(s) for a directory entry.
        /// </summary>
        public RelatedSGProperty()
        {
            this.type = AuthZGlobals.PropertyType.RelatedSG;
        }

        /// <summary>
        /// Contains a collection of Related Security Group value(s) for a directory entry.
        /// </summary>
        /// <param name="value">A value to be added to the value collection for this Property.</param>
        public RelatedSGProperty(string value)
        {
            this.type = AuthZGlobals.PropertyType.RelatedSG;
            this.Add(value);
        }

        #endregion
    }
}
