// © 2009 Microsoft Corporation.  All rights reserved.
#region Namespaces

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel.Activation;
using System.Runtime.Serialization;

#endregion


namespace Microsoft.InformationSecurity.Risk.RiskDataContracts
{
    [DataContract]
    public class RiskData
    {
        [DataMember]
        public string Title
        {
            get;
            set;
        }

        [DataMember]
        public int RiskID
        {
            get;
            set;
        }

        [DataMember]
        public string Desc
        {
            get;
            set;
        }

        [DataMember]
        public string CurrentImapctJustification
        {
            get;
            set;
        }

        [DataMember]
        public string CurrentFrequencyJustification
        {
            get;
            set;
        }

        [DataMember]
        public string CurrentControlAffectivenessJustification
        {
            get;
            set;
        }

        [DataMember]
        public string TargetImpactJustification
        {
            get;
            set;
        }

        [DataMember]
        public string TargetFrequencyJustification
        {
            get;
            set;
        }

        [DataMember]
        public string TargetControlAffectivenessJustification
        {
            get;
            set;
        }

        [DataMember]
        public string Contacts
        {
            get;
            set;
        }

        [DataMember]
        public string Organizations
        {
            get;
            set;
        }

        [DataMember]
        public string OERMClassifications
        {
            get;
            set;
        }

        [DataMember]
        public string Locations
        {
            get;
            set;
        }

        [DataMember]
        public string RiskGroup
        {
            get;
            set;
        }

        [DataMember]
        public string Note
        {
            get;
            set;
        }

        [DataMember]
        public string OwnersComment
        {
            get;
            set;
        }

        [DataMember]
        public int PIIID
        {
            get;
            set;
        }

        [DataMember]
        public int DataClassificationID
        {
            get;
            set;
        }

        [DataMember]
        public int SubmittedBy
        {
            get;
            set;
        }

        [DataMember]
        public int UpdatedBy
        {
            get;
            set;
        }

        [DataMember]
        public int RiskManagerID
        {
            get;
            set;
        }

        [DataMember]
        public int RiskValidatedByTriage
        {
            get;
            set;
        }

        [DataMember]
        public int Status
        {
            get;
            set;
        }

        [DataMember]
        public string Alias
        {
            get;
            set;
        }

        [DataMember]
        public string CurrentRiskRating
        {
            get;
            set;
        }

        [DataMember]
        public int CurrentCalculatedRiskValue
        {
            get;
            set;
        }

        [DataMember]
        public string TargetRiskRating
        {
            get;
            set;
        }

        [DataMember]
        public int TargetCalculatedRiskValue
        {
            get;
            set;
        }

        [DataMember]
        public int RiskOrigin
        {
            get;
            set;
        }

        [DataMember]
        public int CurrentImpactValue
        {
            get;
            set;
        }

        [DataMember]
        public int CurrentFrequencyValue
        {
            get;
            set;
        }

        [DataMember]
        public int CurrentControlAffectivenessValue
        {
            get;
            set;
        }

        [DataMember]
        public int TargetImpactValue
        {
            get;
            set;
        }

        [DataMember]
        public int TargetFrequencyValue
        {
            get;
            set;
        }

        [DataMember]
        public int TargetControlAffectivenessValue
        {
            get;
            set;
        }

        [DataMember]
        public int RiskConfigurationFlag
        {
            get;
            set;
        }

        [DataMember]
        public Decimal RiskPriortizedWt
        {
            get;
            set;
        }

        [DataMember]
        public Decimal RiskPriortizedCRV
        {
            get;
            set;
        }
    }
}
