// © 2009 Microsoft Corporation.  All rights reserved.
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.InformationSecurity.ISRM.TaskManagment.Classes
{
    /// <summary>
    /// Represents email content sent as part of the notification email.
    /// </summary>
    public class NotificationContent
    {
        /// <summary>
        /// Identifier for the notification content
        /// </summary>
        public int ID
        {
            get;
            set;
        }

        /// <summary>
        /// Name for the notification content
        /// </summary>
        public string Name
        {
            get;
            set;
        }

        /// <summary>
        /// Is the content type html
        /// </summary>
        public bool IsHtml
        {
            get;
            set;
        }

        /// <summary>
        /// Actual content of the notification
        /// </summary>
        public string Body
        {
            get;
            set;
        }

        /// <summary>
        /// User who last updated the content
        /// </summary>
        public string LastUpdatedBy
        {
            get;
            set;
        }

        /// <summary>
        /// Time when the content was last updated
        /// </summary>
        public DateTime LastUpdatedDate
        {
            get;
            set;
        }

        /// <summary>
        /// Number of notifications for this schedule
        /// </summary>
        public int NotificationsCount
        {
            get;
            set;
        }

        /// <summary>
        /// PersonID of the person doing the action.
        /// </summary>
        public int PersonID
        {
            get;
            set;
        }
    }
}
