// © 2009 Microsoft Corporation.  All rights reserved.
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.InformationSecurity.ISRM.TaskManagment.Classes
{
    /// <summary>
    /// Class that represents a recipient of notification.
    /// </summary>
    public class NotificationRecipient
    {
        /// <summary>
        /// Address of the recipient
        /// </summary>
        public string Address
        {
            get;
            set;
        }

        /// <summary>
        /// Identifier of the recipient
        /// </summary>
        public int ID
        {
            get;
            set;
        }

        /// <summary>
        /// Type of recipient.
        /// </summary>
        public int Type
        {
            get;
            set;
        }

        /// <summary>
        /// User who last updated the notification schedule
        /// </summary>
        public string LastUpdatedBy
        {
            get;
            set;
        }

        /// <summary>
        /// Date and time when the schedule was updated
        /// </summary>
        public DateTime LastUpdatedDate
        {
            get;
            set;
        }
    }
}
