// © 2009 Microsoft Corporation.  All rights reserved.
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.InformationSecurity.ISRM.TaskManagment.Classes
{
    /// <summary>
    /// Represents single history fields of a task which includes user, old values, new values and timestamp.
    /// </summary>
    public class TaskHistoryFields
    {

        /// <summary>
        /// NotificationCotent of the field which has changed
        /// </summary>
        public string FieldName
        {
            get;
            set;
        }

        /// <summary>
        /// Old value of the field that has changed
        /// </summary>
        public object OldValue
        {
            get;
            set;
        }

        /// <summary>
        /// New value of the field that has changed
        /// </summary>
        public object NewValue
        {
            get;
            set;
        }

        /// <summary>
        /// ID of the change
        /// </summary>
        public int ID
        {
            get;
            set;
        }

        /// <summary>
        /// List of fields that have changed
        /// </summary>
        
        public ICollection<TaskHistoryFields> UpdatedFields
        {
            get;
            set;
        }
    }
}
