﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="HtmlEditor.ascx.cs" Inherits="Microsoft.InformationSecurity.RiskManagement.ISRMWeb.UserControls.HtmlEditorControl"%>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<style>
    .htmlEditorDefault
    {
        border-style:inset;
        border-width: thin;
        word-wrap: break-word;
        overflow: auto; 
        designMode: on;
        padding: 5px 5px 5px 5px;
        overflow: scroll;
         width: <%=this.Width%>px;
         height: <%=this.Height%>px;
         background-color: <%=System.Drawing.ColorTranslator.ToHtml(this.EditorBackColor)%>;
    }
    .htmeDropDownLabel 
    {
        padding: 3px 3px 3px 3px;
    }
    .htmeDropDownPanel 
    {
        background-color:<%=System.Drawing.ColorTranslator.ToHtml(this.EditorBackColor)%>;
        border-style:solid; 
        border-color: #003c06; 
        border-width:1px;
        overflow: auto;
        visibility: hidden;
    }
   
    
    .htmeImagesWindow
    {
        background-color: #f2f2f2;
        border-width: thin;
        overflow: auto; 
        background-color: <%=System.Drawing.ColorTranslator.ToHtml(this.ModalDialogBackColor)%>;
        z-index: 10002;
    }
</style>

<script language="javascript">
    var selBackColor = '<%=System.Drawing.ColorTranslator.ToHtml(this.ToolbarSelectionColor)%>';
    var norBackColor = '<%=System.Drawing.ColorTranslator.ToHtml(this.ToolbarBackColor)%>';
    var divSelection;
    var divRange;
    var imageSrc;
    var imageAltText="";
    var imageBorder="0";
    var imageAlign="Left";
    
    function htmeSetSelectionColor(parentID) {
        document.getElementById(parentID).style.background = selBackColor;
    }
    function htmeSetNormalColor(parentID) {
        document.getElementById(parentID).style.background = norBackColor;
    }
    function setRange() {
        var editor = document.getElementById('htmlEditorFrame');
        divSelection = null;
        if (editor.document.getSelection != null) {
            divSelection = editor.document.getSelection;
        }
        else if (editor.document.selection != null) {
            divSelection = editor.document.selection;
        }
        else {
            divRange = editor.document.createTextRange();
        }
        if (divSelection != null);
            divRange = divSelection.createRange();
            
        
     }
     function executeCommand(commandName, userInterface, commandArgs) {

         setRange();
         if (divRange.htmlText == '') {
             alert('<%=Microsoft.InformationSecurity.RiskManagement.ISRMWeb.Common.Utility.GetResourceString("Microsoft.InformationSecurity.RiskManagement.ISRMWeb.Resources.TaskMessages", "EDITOR_SEL_TEXT",4) %>');
             return;
         }
         if (divRange != null) {
            divRange.execCommand(commandName, userInterface, commandArgs);
            //enableEditing();
        }
    }
    function enableEditing() {
        var editor = document.getElementById('htmlEditorFrame');
        editor.contentEditable = true;
        setRange();
        if (divRange != null) {
            divRange.execCommand("2D-Position", true, true);
            divRange.execCommand("MultipleSelection", true, true);
        }
        editor.focus();
    }

    function setHtml() {
        var editor = document.getElementById('htmlEditorFrame');
        if (editor.contentEditable==false)
            editor.contentEditable = true;
        document.getElementById('<%=this.ContentHtml.ClientID%>').value = editor.innerHTML;
    }

    function insertImage() {
        var editor = document.getElementById('htmlEditorFrame');
        editor.focus();
        setRange();
        if (divRange != null) {     
            var insImage = document.createElement("img");
            insImage.src = imageSrc;
            insImage.alt = imageAltText;
            insImage.align = imageAlign;
            insImage.border = imageBorder;
            if (divRange.pasteHTML!=null)
                divRange.pasteHTML(insImage.outerHTML);
        }
    }

    function insertText(text) {
        var editor = document.getElementById('htmlEditorFrame');
        editor.focus();
        setRange();
        if (divRange != null) {
            if (divRange.pasteHTML != null)
                divRange.pasteHTML(text);
        }
    }

    function hidePopup() {
        var dialog = $find('imagePopup');
        if (dialog != null)
            dialog.hide();

    }

    function changeImageBorder(selectedImage) {
        var imagesTable = selectedImage.parentElement.parentElement.parentElement;
        if (imagesTable != null) { 
            var ct=0;
            for (ct = 0; ct < imagesTable.children.length; ct++) {
                if (imagesTable.children.item(ct).tagName.toUpperCase() == "TR") {
                var trElement=imagesTable.children.item(ct);
                    var ct2 = 0;
                    for (ct2 = 0; ct2 < trElement.children.length; ct2++) {
                        if (trElement.children(ct2).tagName.toUpperCase() == "TD") {
                            if (trElement.children(ct2).children(0) != selectedImage) {
                                trElement.children(ct2).children(0).style.borderColor = 'Black';
                            } else {
                            trElement.children(ct2).children(0).style.borderColor = 'Orange';
                            }
                        }
                    }
                }
            }
        }
    }

    function setTextFromHtml() {
        document.getElementById('<%=this.textEditorDefault.ClientID %>').innerText = document.getElementById('htmlEditorFrame').innerText;
    }

</script>


<cc1:TabContainer ID="TabContainer1" runat="server" TabStripPlacement="Top" ActiveTabIndex="0">
    <cc1:TabPanel HeaderText="HTML" runat="server" ID="htmlTab">
        <ContentTemplate>
            <table border="0" cellpadding="1" cellspacing="2">
                <tr><td>
                    <table border="0" cellpadding="1" cellspacing="2">
                        <tr>
                            <td id="cutParent"  width="20px" height="20px" valign ="middle" align ="center">
                                <img  onmouseover="htmeSetSelectionColor('cutParent');" onmouseout="htmeSetNormalColor('cutParent');"
                                alt="Cut" longdesc="Cut the selected text" onclick="executeCommand('Cut',false,null);"
                                    src="../Images/rtecut.gif" style="width: 16px; height: 16px" /></td>
                            <td id="copyParent"  width="20px" height="20px" valign ="middle" align ="center">
                                <img onmouseover="htmeSetSelectionColor('copyParent');" onmouseout="htmeSetNormalColor('copyParent');"
                                     onclick="executeCommand('Copy',false,null);"
                                        alt="Copy" longdesc="Copy the selected text" src="../Images/rtecopy.gif" 
                                        style="width: 16px; height: 16px" /></td>
                            <td id="pasteParent"  width="20px" height="20px" valign ="middle" align ="center">
                                <img alt="Paste" longdesc="Paste text from clipboard" 
                                onclick="executeCommand('Paste',false,null);"
                                onmouseover="htmeSetSelectionColor('pasteParent');" onmouseout="htmeSetNormalColor('pasteParent');"
                                    src="../Images/rtepaste.gif" style="width: 16px; height: 16px" /></td>
                            <td id="boldParent"  width="20px" height="20px" valign ="middle" align ="center">
                                <img alt="Bold" longdesc="Bold" src="../Images/rtebold.gif" 
                                onmouseover="htmeSetSelectionColor('boldParent');" onmouseout="htmeSetNormalColor('boldParent');"
                                    style="width: 16px; height: 16px" onClick="executeCommand('Bold',false,null);" /></td>
                            <td id="italicParent"  width="20px" height="20px" valign ="middle" align ="center">
                                <img alt="Italic" longdesc="Italic" src="../Images/rteital.gif" 
                                onclick="executeCommand('Italic',false,null);"
                                onmouseover="htmeSetSelectionColor('italicParent');" onmouseout="htmeSetNormalColor('italicParent');"
                                    style="width: 16px; height: 16px" /></td>
                            <td id="underlineParent"  width="20px" height="20px" valign ="middle" align ="center">
                                <img alt="Underline" longdesc="Underline" src="../Images/rteundl.gif" 
                                onclick="executeCommand('Underline',false,null);"
                                onmouseover="htmeSetSelectionColor('underlineParent');" onmouseout="htmeSetNormalColor('underlineParent');"
                                    style="width: 16px; height: 16px" /></td>
                            <td id="leftAlignParent"  width="20px" height="20px" valign ="middle" align ="center">
                                <img alt="Left Align" longdesc="Left align the text" src="../Images/rteltal.gif" 
                                onclick="executeCommand('JustifyLeft',false,null);"
                                onmouseover="htmeSetSelectionColor('leftAlignParent');" onmouseout="htmeSetNormalColor('leftAlignParent');"
                                    style="width: 16px; height: 16px" /></td>
                            <td id="centerAlignParent"  width="20px" height="20px" valign ="middle" align ="center">
                                <img alt="Center Align" longdesc="Center align the text" src="../Images/rtectral.gif" 
                                onclick="executeCommand('JustifyCenter',false,null);"
                                onmouseover="htmeSetSelectionColor('centerAlignParent');" onmouseout="htmeSetNormalColor('centerAlignParent');"
                                    style="width: 16px; height: 16px" /></td>
                            <td id="rightAlignParent"  width="20px" height="20px" valign ="middle" align ="center">
                                <img alt="Right Align" longdesc="Right align the text" src="../Images/rtertal.gif" 
                                onclick="executeCommand('JustifyRight',false,null);"
                                onmouseover="htmeSetSelectionColor('rightAlignParent');" onmouseout="htmeSetNormalColor('rightAlignParent');"
                                    style="width: 16px; height: 16px" /></td>
                            <td id="numListParent"  width="20px" height="20px" valign ="middle" align ="center">
                                <img alt="Numeric List" longdesc="Numeric List" src="../Images/rtenlst.gif" 
                                onclick="executeCommand('InsertOrderedList',false,null);"
                                onmouseover="htmeSetSelectionColor('numListParent');" onmouseout="htmeSetNormalColor('numListParent');"
                                    style="width: 16px; height: 16px" /></td>
                            <td id="bulListParent"  width="20px" height="20px" valign ="middle" align ="center">
                                <img alt="Bulleted List" longdesc="Bulleted List" src="../Images/rteblst.gif" 
                                onclick="executeCommand('InsertUnorderedList',false,null);"
                                onmouseover="htmeSetSelectionColor('bulListParent');" onmouseout="htmeSetNormalColor('bulListParent');"
                                    style="width: 16px; height: 16px" /></td>
                            <td id="insertLinkParent"  width="20px" height="20px" valign ="middle" align ="center">
                                  <img unselectable="on" src="../Images/rtelnk.gif" alt="Insert Link"
                                  onclick="executeCommand('CreateLink',true,null);"
                                  onmouseover="htmeSetSelectionColor('insertLinkParent');" onmouseout="htmeSetNormalColor('insertLinkParent');"
                                   style="width: 16px; height: 16px"/></td>
                            <td id="insertImageParent"  width="20px" height="20px" valign ="middle" align ="center">
                                <div unselectable="on" id="divInsertImage" runat="server">
                                <img src="../Images/rteimg.gif" alt="Insert Image" 
                                      onmouseover="htmeSetSelectionColor('insertImageParent');" onmouseout="htmeSetNormalColor('insertImageParent');"
                                        style="width: 16px; height: 16px"/>
                                </div>
                            </td>

                            <td id="fontNameParent"  width="36px" height="20px" valign ="middle" align ="center" unselectable="on">
                                <div id="lblFontName1" runat="server" style="text-align:left; unselectable:on;" unselectable="on">
                                  <img src="../Images/rtefnt.gif" alt="Select Font" style="width: 16px; height: 16px; unselectable:on;" unselectable="on"/></div></td>
                            <td id="fontSizeParent"  width="36px" height="20px" valign ="middle" align ="center" unselectable="on">
                                <div id="lblFontSize" runat="server" style="text-align:left; unselectable:on;" unselectable="on">
                                  <img src="../Images/rtefntsz.gif" alt="Select Font Size" style="width: 16px; height: 16px; unselectable:on;" unselectable="on"/></div></td>
                            <td id="textColorParent"  width="36px" height="20px" valign ="middle" align ="center" unselectable="on">
                                <div id="lblTextColor" runat="server" style="text-align:left; unselectable:on;" unselectable="on">
                                  <img src="../Images/rtetxclr.gif" alt="Text Color" style="width: 16px; height: 16px; unselectable:on;" unselectable="on"/></div></td>
                            <td id="backColorParent"  width="36px" height="20px" valign ="middle" align ="center" unselectable="on">
                                <div id="lblBackColor" runat="server" style="text-align:left; unselectable:on;" unselectable="on">
                                  <img src="../Images/rtebkclr.gif" alt="Back Color" style="width: 16px; height: 16px; unselectable:on;" unselectable="on"/></div></td>
                            <td id="dynamicText"  width="36px" height="20px" valign ="middle" align ="center" unselectable="on">
                                <div id="lblDynamicText" runat="server" style="text-align:left; unselectable:on;" unselectable="on">
                                  <img src="../Images/rtedyntx.png" alt="Insert Dynamic Text" style="width: 16px; height: 16px; unselectable:on;" unselectable="on"/></div></td>
                        </tr>
                    </table>
                </td></tr>
                <tr><td>
                    <div class="htmlEditorDefault" name="htmlEditorFrame" id="htmlEditorFrame" scrolling="auto" onactivate="enableEditing();" onblur="setHtml();" onkeydown="setHtml();" onmousemove="setHtml();">
                        <%=this.Text %>
                    </div>
                </td></tr>
            </table>
            <div style="height:0px;">
            <!-- Drop Down Panels and Extender Controls -->
            <asp:Panel ID="pnlFonts" runat="server" Width="175px" Height="200px" 
                    CssClass="htmeDropDownPanel">
            <table border="0" cellpadding="1" cellspacing="2" width="150px" unselectable="on">
                    <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Arial" unselectable="on">Arial</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Arial Black" unselectable="on">Arial Black</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Arial Narrow" unselectable="on">Arial Narrow</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Calibri" unselectable="on">Calibri</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Cambria" unselectable="on">Cambria</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Comic Sans MS" unselectable="on">Comic Sans MS</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Courier New" unselectable="on">Courier New</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Georgia" unselectable="on">Georgia</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Impact" unselectable="on">Impact</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Lucida Console" unselectable="on">Lucida Console</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Lucida Sans" unselectable="on">Lucida Sans</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="MS Gothic" unselectable="on">MS Gothic</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Script MT Bold" unselectable="on">Script MT Bold</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Segoe Condensed" unselectable="on">Segoe Condensed</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Segoe Print" unselectable="on">Segoe Print</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Segoe Script" unselectable="on">Segoe Script</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Segoe UI" unselectable="on">Segoe UI</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Symbol" unselectable="on">Symbol</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Tahoma" unselectable="on">Tahoma</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Times New Roman" unselectable="on">Times New Roman</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Trebuchet MS" unselectable="on">Trebuchet MS</font></td></tr>
                     <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontName',false,this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Verdana" unselectable="on">Verdana</font><br /></td></tr>
            </table>
                
            </asp:Panel>

            <asp:Panel ID="pnlFontSizes" runat="server" Width="145px" Height="200px" CssClass="htmeDropDownPanel">
                <table border="0" cellpadding="1" cellspacing="2" width="150px" unselectable="on">
                    <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontSize',false,this.innerText.substr(0,1));" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="1" face="Arial" unselectable="on">1-Arial</font></td></tr>
                <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontSize',false,this.innerText.substr(0,1));"  onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="2" face="Arial" unselectable="on">2-Arial</font></td></tr>
                <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontSize',false,this.innerText.substr(0,1));"  onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="3" face="Arial" unselectable="on">3-Arial</font></td></tr>
                <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontSize',false,this.innerText.substr(0,1));"  onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="4" face="Arial" unselectable="on">4-Arial</font></td></tr>
                <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontSize',false,this.innerText.substr(0,1));" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="5" face="Arial" unselectable="on">5-Arial</font></td></tr>
                <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontSize',false,this.innerText.substr(0,1));"  onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="6" face="Arial" unselectable="on">6-Arial</font></td></tr>
                <tr unselectable="on"><td unselectable="on" onclick="executeCommand('FontSize',false,this.innerText.substr(0,1));"  onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;"><font size="7" face="Arial" unselectable="on">7-Arial</font></td></tr>
                </table>
            </asp:Panel>
            <asp:Panel ID="pnlTextColor" runat="server" CssClass="htmeDropDownPanel">
            <table border="0" cellpadding="1" cellspacing="2" unselectable="on">
            <tr unselectable="on">	<td  style="background-color:#000000;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#993300;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#333300;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#003300;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#003366;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#000080;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#333399;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#333333;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	</tr>
            <tr unselectable="on">	<td  style="background-color:#800000;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ff6600;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#808000;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#008000;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#008080;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#0000ff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#666699;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#808080;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	</tr>
            <tr unselectable="on">	<td  style="background-color:#ff0000;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ff9900;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#99cc00;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#339966;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#33cccc;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#3366ff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#800080;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#969696;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	</tr>
            <tr unselectable="on">	<td  style="background-color:#ff00ff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ffcc00;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ffff00;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#00ff00;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#00ffff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#00ccff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#993366;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#c0c0c0;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	</tr>
            <tr unselectable="on">	<td  style="background-color:#ff99cc;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ffcc99;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ffff99;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ccffcc;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ccffff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#99ccff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#cc99ff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ffffff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('ForeColor',false,this.style.backgroundColor);">&nbsp;</td>	</tr>
            </table>
            </asp:Panel>
            <asp:Panel ID="pnlBackColor" runat="server" CssClass="htmeDropDownPanel">
            <table border="0" cellpadding="1" cellspacing="2" unselectable="on">
            <tr unselectable="on">	<td  style="background-color:#000000;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#993300;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#333300;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#003300;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#003366;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#000080;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#333399;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#333333;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	</tr>
            <tr unselectable="on">	<td  style="background-color:#800000;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ff6600;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#808000;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#008000;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#008080;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#0000ff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#666699;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#808080;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	</tr>
            <tr unselectable="on">	<td  style="background-color:#ff0000;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ff9900;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#99cc00;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#339966;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#33cccc;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#3366ff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#800080;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#969696;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	</tr>
            <tr unselectable="on">	<td  style="background-color:#ff00ff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ffcc00;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ffff00;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#00ff00;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#00ffff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#00ccff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#993366;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#c0c0c0;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	</tr>
            <tr unselectable="on">	<td  style="background-color:#ff99cc;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ffcc99;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ffff99;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ccffcc;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ccffff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#99ccff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#cc99ff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	<td  style="background-color:#ffffff;width:16px;height:16px;" unselectable="on" onclick="executeCommand('BackColor',false,this.style.backgroundColor);">&nbsp;</td>	</tr>
            </table>
            </asp:Panel>
            <asp:Panel ID="pnlDynamicText" runat="server" CssClass="htmeDropDownPanel" Width="150px" Height="100px">
            <table border="0" cellpadding="1" cellspacing="2" width="150px" unselectable="on">
                    <tr unselectable="on"><td unselectable="on" onclick="insertText(this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;">$TaskOwner$</td></tr>
                    <tr unselectable="on"><td unselectable="on" onclick="insertText(this.innerText);" onmouseover="this.style.background=selBackColor;" onmouseout="this.style.background=norBackColor;">$TasksSummaryTable$</td></tr>
            </table>
            </asp:Panel>
            
            <asp:Panel  unselectable="on" ID="pnlModal" runat="server" Width="400" Height="310" CssClass="htmeImagesWindow">
                <div unselectable="on" style="height:20px; padding: 3px 3px 3px 3px;>
                    <font unselectable="on" size="2" color="white"><b>Image Browser</b></font>
                </div>
                <asp:Panel  unselectable="on" ID="pnlImages" runat="server" Width="400" Height="200" ScrollBars="Vertical">
                </asp:Panel>
                <table unselectable="on" border="0" cellpadding="1" cellspacing="1">
                <tr unselectable="on"><td unselectable="on">Alternate Text: </td><td unselectable="on"><input type="text" id="imgAltText" name="atlText" style="width: 100px" onblur="imageAltText=this.value;"/></td>
                
                <td unselectable="on">Alignment: </td><td unselectable="on"><select id="imgAlign" name="imgAlign" style="width: 100px" onblur="imageAlign=this.options[this.selectedIndex].text;">
                <option>Left</option>
                <option>Right</option>
                <option>Texttop</option>
                <option>Absmiddle</option>
                <option>Baseline</option>
                <option>Absbottom</option>
                <option>Bottom</option>
                <option>Middle</option>
                <option>Top</option>
                </select></td></tr>
                <tr unselectable="on"><td unselectable="on">Border Thickness: </td><td unselectable="on" colspan="3"><input type="text" id="imgBorder" name="imgBorder" style="width: 100px" value="0" onblur="imageBorder=this.value;"/></td></tr>
                </table>
                
                <div align="right" unselectable="on">
                <asp:Button ID="btnOK" runat="server" Text="Insert" unselectable="on" />
                    <asp:Button ID="btnCancel" runat="server" Text="Cancel" unselectable="on"/>
                </div>
            </asp:Panel>
            
            
            </div>
            
            <cc1:DropDownExtender ID="ddeFonts" runat="server" TargetControlID="lblFontName1" DropDownControlID ="pnlFonts" Unselectable="on">
            </cc1:DropDownExtender>
            <cc1:DropDownExtender ID="ddeFontSizes" runat="server" TargetControlID="lblFontSize" DropDownControlID ="pnlFontSizes" Unselectable="on">
            </cc1:DropDownExtender>
            <cc1:DropDownExtender ID="ddeTextColor" runat="server" TargetControlID="lblTextColor" DropDownControlID ="pnlTextColor" Unselectable="on">
            </cc1:DropDownExtender>
            <cc1:DropDownExtender ID="ddeBackColor" runat="server"  TargetControlID="lblBackColor" DropDownControlID ="pnlBackColor" Unselectable="on">
            </cc1:DropDownExtender>
            <cc1:ModalPopupExtender ID="mpeImages" runat="server" BehaviorID="imagePopup" TargetControlID="divInsertImage" PopupControlID="pnlModal" OkControlID="btnOK" OnOkScript="insertImage()" CancelControlID="btnCancel" BackgroundCssClass="modalBackground">
            </cc1:ModalPopupExtender>
            <cc1:DropDownExtender ID="ddeDynamicText" runat="server"  TargetControlID="lblDynamicText" DropDownControlID ="pnlDynamicText" Unselectable="on">
            </cc1:DropDownExtender>
        </ContentTemplate>
    </cc1:TabPanel>
    <cc1:TabPanel HeaderText="Text" runat="server" OnClientClick="setTextFromHtml" ID="textTab">
        <ContentTemplate>
            <table border="0" cellpadding="1" cellspacing="2">
                <tr><td id="cutParent"  width="20px" height="23px">&nbsp;</td></tr>
                <tr><td>
                    <textarea id="textEditorDefault" class="htmlEditorDefault" name="textEditorDefault" runat="server">Text Version of HTML</textarea> 
                </td></tr>
            </table>
            
        </ContentTemplate>
    </cc1:TabPanel>
</cc1:TabContainer>

<input type="hidden" runat="server" value="" id="ContentHtml" name="ContentHtml" />


